export { ConfigNotFound } from './errors';
export interface Options {
    project?: string;
}
/** A configuration file loader. */
export default class Disposition {
    private readonly moduleName;
    private readonly options;
    /** An array of valid configuration filenames. */
    private readonly filenames;
    constructor(moduleName: string, options?: Options | undefined);
    /**
     * Search for and load the configuation file.
     *
     * @param directory The directory to start searching from. Defaults
     *                  to the current working directory.
     */
    load<T>(directory?: string): T;
}
